commit:     2036525b12885661f3b21dbc8509efc44592819c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 09:45:21 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 09:46:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2036525b

dev-ruby/activestorage: add 7.0.4.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activestorage/Manifest                    |  1 +
 .../activestorage/activestorage-7.0.4.2.ebuild     | 67 ++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-ruby/activestorage/Manifest b/dev-ruby/activestorage/Manifest
index 2aa0c24e20b2..ab2b8bcd4b78 100644
--- a/dev-ruby/activestorage/Manifest
+++ b/dev-ruby/activestorage/Manifest
@@ -7,4 +7,5 @@ DIST rails-6.1.7.1.tgz 11035161 BLAKE2B 
16e5c6e323403c117443b10ef151ba94cf27cd6f
 DIST rails-6.1.7.tgz 11038670 BLAKE2B 
fd25884a6f58f10387f1f89ffd39caad337d7a3af6902f9ccdcf4eb108f9355124b6e1004d8b8f2b625ac7d9cfcd8635e7668101a1cba5d866a5fbe1b691e6e2
 SHA512 
7d56f604fbc2fb83a2e3a4ee070f55fb285018a48584115e0bf19982553eb5b78a173a5adbf1879e88c0739bea9dccc66879646da5c0b141b24f1500e1bdcb5f
 DIST rails-7.0.3.1.tgz 11049683 BLAKE2B 
31aa9c20b4add7e11b832aff57fcf78284b7f28e71cfc71b5769c65170f1fff3f33d73224bbfa826852a59aac30671ff7c3ef19cbe0aaabc8528a805c6b98e8a
 SHA512 
2ad615df9e019193489d5ce82152fd0ff12d8435401258b2b8a87d1c5da46587cdd45dc483847891f7b8be1d019b09b77a48fa7849d5260ee6fdbbf6df64ef03
 DIST rails-7.0.4.1.tgz 11063201 BLAKE2B 
9efdb43546d73cbff42297ac988604318e298fb06954cfc066861c63e6336797dca85e7ef40f1e3255fd9fab8fbc111ad1265023a6ced0a25fd1d1a416cb8da5
 SHA512 
551317bf1d837836eabf4f0de6be1f83916c57b5f828ce079288c37665bac636dd95c076a965d6d763c69f425aef3b5cc20d1fcfdd22eb638cf7175c891466a2
+DIST rails-7.0.4.2.tgz 11063555 BLAKE2B 
f8a862ce91a356dad702a44f1e36f8910e91481770118343c13fa00e40d57cd208ebea83e5adc0154927ef62b3f8461ded82c4e5097089fb1d872c2247feba44
 SHA512 
9fb80e9ec6e9edcf049635eb436c2fdb418cbdea47a6d82fefa7606e9bd14f2785b1c4445f08848692474db7ee3eb309ab26aabc5f3ba6847457d8dfd8802689
 DIST rails-7.0.4.tgz 11061225 BLAKE2B 
9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1
 SHA512 
118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c

diff --git a/dev-ruby/activestorage/activestorage-7.0.4.2.ebuild 
b/dev-ruby/activestorage/activestorage-7.0.4.2.ebuild
new file mode 100644
index 000000000000..8d521ec0f57a
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-7.0.4.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] 
media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+       ~dev-ruby/actionpack-${PV}:*
+       ~dev-ruby/activejob-${PV}:*
+       ~dev-ruby/activerecord-${PV}:*
+       ~dev-ruby/activesupport-${PV}:*
+       dev-ruby/marcel:1.0
+       >=dev-ruby/mini_mime-1.1.0
+"
+
+ruby_add_bdepend "
+       test? (
+               ~dev-ruby/railties-${PV}
+               >=dev-ruby/image_processing-1.2:0
+               =dev-ruby/minitest-5.15*:5
+               dev-ruby/mini_magick
+               dev-ruby/mocha
+               dev-ruby/rake
+               dev-ruby/sprockets-rails
+               dev-ruby/sqlite3
+       )"
+
+all_ruby_prepare() {
+               # Remove items from the common Gemfile that we don't need for 
this
+               # test run. This also requires handling some gemspecs.
+               sed -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|propshaft\|sprockets-export\|rack-test\)/
 s:^:#:" \
+                       -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+                       -e '/group :\(doc\|job\|rubocop\|test\)/,/^end/ s:^:#:' 
\
+                       -i ../Gemfile || die
+               rm ../Gemfile.lock || die
+
+               # Use mini_magick since vips is not packaged on Gentoo
+               sed -i -e '/mini_magick/aActiveStorage.variant_processor = 
:mini_magick' test/test_helper.rb || die
+               # Avoid vips-specific tests
+               sed -i -e '/\(resized and monochrome variation of JPEG 
blob\|monochrome with default variant_processor\|disabled variation of JPEG 
blob\)/askip "No vips support"' test/models/variant_test.rb || die
+}

Reply via email to